Skip to Content
0
Aug 22, 2021 at 08:16 PM

SAP Predictive Analytics R-Library Issue

124 Views Last edit Aug 23, 2021 at 07:44 AM 2 rev

Hi

I have a similar problem running data mining algorithms using R. I am running Predictive Analytics (PA) 3.2 and I have installed R-Lib as per instructions within PA and the version I have is R-3.3.0 and it is installed at C:/users/public/R-3.3.0. My window-10 is 64bit machine.

When I tried running my data with R-K-means I have error saying version not compatible and R environment not setup properly. I have also enable it in the configure panel in PA. I have set the R-Libs and R_HOME in the environment variables.

I have even tried with PA version 3.3 the same issue. I have read most of the questions posted in this community with regard to this similar issue I am still not clear what is the correct solution to resolve this problem.

Can anyone please help me what this environment issue is about and how to get the R-Library algorithms working correctly.

Best Rgds

KR